include: 
  - remote: 'https://gitlab.com/notesonjava-tools/gradle-scripts/gitl-lab-templates/raw/master/.analysis-template.yml'
  

spotbugs:
  extends: .spotbugs
  stage: analysis
  only:
  - release
  - pre-release
  - master

pmd:
  extends: .pmd
  stage: analysis
  only:
  - release
  - pre-release
  - master
 

checkstyle:
  extends: .checkstyle
  stage: analysis
  only: 
  - release
  - pre-release
  - master